Name:           hawaii-shell
Summary:        Hawaii shell for desktop, netbook and tablet
Version:        0.5.92
Release:        2%{?dist}
Group:          Applications/System
License:        LGPLv2+ and GPLv2+
URL:            https://github.com/hawaii-desktop/hawaii-shell
Source0:        https://github.com/hawaii-desktop/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(gio-2.0) >= 2.31.0

BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-solid-devel
BuildRequires:  kf5-networkmanager-qt-devel

BuildRequires:  greenisland-devel >= 0.6.90
BuildRequires:  libhawaii-devel >= 0.5.90
BuildRequires:  pkgconfig(glesv2) pkgconfig(egl)
BuildRequires:  alsa-lib-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  pam-devel

BuildRequires:  libqtxdg-devel

Requires:       qt5-qtsvg
Requires:       qt5-qttools
Requires:       qt5-qtdeclarative
Requires:       qt5-qtgraphicaleffects
Requires:       qt5-qtquickcontrols
Requires:       greenisland >= 0.6.90
Requires:       libhawaii >= 0.5.90
Requires:       kf5-solid-libs
Requires:       kf5-networkmanager-qt
Requires:       NetworkManager
Requires:       libqtxdg
Requires:       desktop-backgrounds-compat
Requires:       dbus
Requires:       dbus-x11
Requires:       pulseaudio
Requires:       pam
Requires:       udisks2
Requires:       upower
Requires:       dconf

Requires:       libhawaii >= 0.5.90
Requires:       hawaii-widget-styles
Requires:       hawaii-icon-theme

Requires:       dejavu-sans-fonts
Requires:       dejavu-serif-fonts


%description
This is the Hawaii desktop environment shell. It contains a Qt platform plugin 
and shells for different form factors such as desktop, netbook and tablet. Only 
the desktop shell is implemented at the moment though.


%package -n sddm-theme-hawaii
Summary:        Hawaii theme for SDDM
Requires:       google-noto-sans-fonts
BuildArch:      noarch

%description -n sddm-theme-hawaii
Official SDDM theme for the Hawaii desktop environment.


%prep
%setup -q -n %{name}-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# Override wallpaper
mkdir -p %{buildroot}%{_datadir}/glib-2.0/schemas
cat > %{buildroot}%{_datadir}/glib-2.0/schemas/org.hawaii.desktop.background.gschema.override <<EOF
[org.hawaii.desktop.background]
mode='wallpaper'
picture-url='file://%{_datadir}/backgrounds/default.png'
EOF


%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%postun
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE.GPLv2
%license LICENSE.LGPLv2.1
%doc AUTHORS.md
%doc BUILD.md
%doc CONTRIBUTORS.md
%doc DEPENDENCIES.md
%doc NOTES.md
%doc README.md
%{_bindir}/*
%{_datadir}/wayland-sessions/*
%{_datadir}/greenisland/*
%{_datadir}/hawaii
%{_sysconfdir}/xdg/menus/*
%{_datadir}/desktop-directories/*
%{_datadir}/glib-2.0/schemas/*
%{_userunitdir}/*
%{_kf5_qmldir}/*
%{_kf5_qtplugindir}/*

%files -n sddm-theme-hawaii
%dir %{_datadir}/sddm/themes/hawaii
%{_datadir}/sddm/themes/hawaii/*


%changelog
* Sat Sep 26 2015 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.5.92-2
- Require higher greenisland
- Remove hawaii-wallpapers dependency
- Remove weston dependency

* Thu Sep 24 2015 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.5.92-1
- Update to 0.5.92.
- Use %%license tag.

* Tue Sep 22 2015 Peter Robinson <pbrobinson@fedoraproject.org> 0.3.0-5
- Use libqtxdg-devel as it contains QT5 support now

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Sep 28 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.3.0-3
- Update for QtWayland 5.4
- Update for Weston 1.6

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 24 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.3.0-1
- Update to 0.3 release
- Drop upstreamed patches

* Sun Jun 15 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.90-4.20140524git2785c40
- A later GIT snapshot
- Enable in GDM

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.90-4.20140212gite338ecb
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Feb 19 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.90-3.20140212gite338ecb
- Correct missing dependencies

* Wed Feb 19 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.90-2.20140212gite338ecb
- More missing dependencies

* Sun Feb 16 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.90-1.20140212gite338ecb
- A later GIT snapshot
- Fixed dependencies

* Sat Jan 04 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.0.2-1
- Update to new release tarball

* Sun Nov 24 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.95-1
- Bump

* Tue Sep 24 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.93-1.20130822gitff4ed81
- Bump

* Mon Sep 16 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.91-1.20130804git5624ac7
- Initial packaging
